function out = aifft(in);
% y = aifft(in);
% performs the opposite of afft
% calls mirror since "in" should be the lower fft 1/2
%

[len b] = size(in);
if len==1 ; in=in(:); len=b; end; % turn a single row vector into a column

if 2^nextpow2(len-1) ~= len-1
  disp('aifft: size of input is not as per afft');
  return;
end;

out = real(ifft(mirror(in)));

