#define DBG(s) {}

#ifdef DBG_FILE_NAME

// print to debug file
#ifdef _DEBUG
#include <fstream>
static std::ofstream dbg(DBG_FILE_NAME);
#undef DBG
#define DBG(s) dbg << /*"[" << gettimeofday() << "]" <<*/ s << std::endl;
#endif

#else

// no debug filename, print to debugger
#ifdef _DEBUG
#undef DBG
#include <sstream>
using namespace std;
#define DBG(a) {\
		ostringstream dbg_ostrstream;\
		dbg_ostrstream << a << endl;\
		_CrtDbgReport(_CRT_WARN, __FILE__, __LINE__, "DtBlkFx", "%s", dbg_ostrstream.str().c_str());\
	}
#endif

#endif
